%define path /opt

Summary: Browser for using Fermilabs new Timecard system
Name: fermi-timecard
Version: 2.0
Release: 2
License: GPL
Group: Applications/Internet
Source0: timecard.tar.bz2
Source1: fermi-timecard
Source2: fermi-training-timecard
Source3: fermi-timecard.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArchitectures: noarch
Requires: java-1.6.0-sun-compat >= 1.6.0.20-3
Requires: jdk
Requires: firefox >= 3.6.4

%description
This is a browser dedicated to working with the new 
Fermilab Timecard system.
It is packaged in such a way that it doesn't conflict 
with the normal system firefox.
To run this browser you have to type fermi-timecard

%prep
#This cleans up the old build root area
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%build

%install
#Here we make the correct directory, cd to it, and untar our tarball
mkdir -p $RPM_BUILD_ROOT/%{path}
cd $RPM_BUILD_ROOT/%{path}
tar xvfj %{SOURCE0}

# Add the scripts to be run
mkdir -p $RPM_BUILD_ROOT/usr/bin/
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/bin/fermi-timecard
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/bin/fermi-training-timecard
chmod 755 $RPM_BUILD_ROOT/usr/bin/fermi*

# Add the icons and desktop
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/
cp %{SOURCE3} $RPM_BUILD_ROOT/usr/share/applications/fermi-timecard.desktop
cp fermitimecard/icons/fermi-timecard.22.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps/fermi-timecard.png
cp fermitimecard/icons/fermi-timecard.48.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/fermi-timecard.png


%clean
#This cleans up the old build root area when we are done
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :
touch --no-create /usr/share/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet /usr/share/icons/hicolor || :
fi

%files
%defattr(-, root, root)
%{path}/
%attr(0755,root,root)  /usr/bin/fermi-timecard
%attr(0755,root,root)  /usr/bin/fermi-training-timecard
%attr(0644,root,root)  /usr/share/applications/fermi-timecard.desktop
%attr(0644,root,root)  /usr/share/icons/hicolor/22x22/apps/fermi-timecard.png
%attr(0644,root,root)  /usr/share/icons/hicolor/48x48/apps/fermi-timecard.png

%changelog
* Wed Jul 07 2010 Troy Dawson <dawson@fnal.gov> 2.0-2
- Fixed some permissions of the profile

* Wed Jul 07 2010 Troy Dawson <dawson@fnal.gov> 2.0-1
- Changed everything to work with default firefox as long
  as it is firefox 3.6 or higher.

* Thu Jun 17 2010 Troy Dawson <dawson@fnal.gov> 1-0.9.6
- Fixed the fermi-timecard script

* Wed Jun 16 2010 Troy Dawson <dawson@fnal.gov> 1-0.9.5
- Changed regular timecard URL to be 
  http://www.fnal.gov/pub/ftl/launch.html
- Added Notes at the beginning of the startup script

* Wed Jun 09 2010 Troy Dawson <dawson@fnal.gov> 1-0.9
- Added fermi-training-timecard
- Added icons
- Added desktop file

* Wed Jun 09 2010 Troy Dawson <dawson@fnal.gov> 1-0.8
- Changed how it does profiles
  Now it uses the -profile option pointing to a profile
  that we copy into the users .fermitimecard area if
  they don't already have it

* Wed Jun 09 2010 Troy Dawson <dawson@fnal.gov> 1-0.7
- Disabled the key to show the menu
- Force java to be on by default
- Force javascript to be on by default
- Force popups to not be blocked.

* Wed Jun 09 2010 Troy Dawson <dawson@fnal.gov> 1-0.6
- Changed fermi-timecard from being a link to a script
- Also change it so that it creates a profile the firefox way
- Also changed it so that is starts with the profile and -no-remote
- Added requirement for jdk and java-1.6.0-sun-compat

* Wed May 02 2010 Troy Dawson <dawson@fnal.gov> 1-0.5
- Initial creation
